
Selene Wrapper - Errores #156

Update mandatory attributes in each design class

06/05/2018 11:32 AM - Jesús Freire

Status: Cerrada Start date: 06/05/2018

Priority: Normal Due date: 06/10/2018

Assignee: Jesús Freire % Done: 100%

Category:  Estimated time: 4:00 hours

Target version: 0.0.8 Spent time: 4:15 hours

Puntos de historia: 8   

Description

Update mandatory attributes in each design class using the following SQL sentence modifing the word ATCL by ecah name of the

design class:

update atcl set oblig=true where coinob='00000053' and subcla='CD' and vaclob='ATCL' and codatr in

 (select codatr from atcl where coinob='00000053' and subcla='CL' and vaclob in (select coobme fro

m objm where tiobme='CL' and coobpa in (select coinob from objm where tiobme='CD' and coobme='ATCL

')));

Actually, there are 85 design classes.

Update mandatory attributes in each unique key of each design class.

Upload PL/SQL procedures to test resources directory

History

#1 - 06/05/2018 04:25 PM - Jesús Freire

- Status changed from Nueva to En curso

The following function has been created on the file atcl.oblig.sql of the test resources directory:

CREATE OR REPLACE FUNCTION hacer_obligatorios_atributos_clases_diseno()

  RETURNS void AS

$BODY$

DECLARE

    CLASE RECORD;

BEGIN

    FOR CLASE IN SELECT * FROM OBJM WHERE TIOBME='CD'

    LOOP

        UPDATE ATCL SET OBLIG=true WHERE 

            COINOB=(SELECT COINOB FROM OBJM WHERE TIOBME='CD' AND COOBME='OBJM') AND

            SUBCLA='CD' AND

            VACLOB=CLASE.COOBME AND

            CODATR IN (

                SELECT CODATR FROM ATCL WHERE 

                    COINOB=(SELECT COINOB FROM OBJM WHERE TIOBME='CD' AND COOBME='OBJM') AND

                    SUBCLA='CL' AND

                    VACLOB IN (

                        SELECT COOBME FROM OBJM WHERE

                            TIOBME='CL' AND

                            COOBPA=(SELECT COINOB FROM OBJM WHERE TIOBME='CD' AND COOBME=CLASE.COOBME)

                    )

                );

    END LOOP;

END

$BODY$

LANGUAGE plpgsql

#2 - 06/06/2018 03:43 PM - Jesús Freire

- Status changed from En curso to Resuelta

- % Done changed from 20 to 90

- Estimated time changed from 8:00 h to 4:00 h
- Puntos de historia changed from 8 to 4

The following function has been created on the file atcl.formato.clave.sql of the test resources directory for update unique keys attributes format from

design classes:

CREATE OR REPLACE FUNCTION dar_formato_atributos_claves_fichero()

  RETURNS void AS

$BODY$

DECLARE

    CLAVE RECORD;

    ATRIBUTO RECORD;

BEGIN

    FOR CLAVE IN SELECT * FROM OBJM WHERE TIOBME='CL'

    LOOP

        FOR ATRIBUTO IN SELECT * FROM ATCL WHERE

            COINOB=(SELECT COINOB FROM OBJM WHERE TIOBME='CD' AND COOBME='OBJM') AND

            SUBCLA='CL' AND

            VACLOB=CLAVE.COOBME

            LOOP

                UPDATE ATCL SET 

                    FORMATO=

                        (

                        SELECT FORMATO FROM ATCL WHERE 

                            COINOB=(SELECT COINOB FROM OBJM WHERE TIOBME='CD' AND COOBME='OBJM') AND

                            SUBCLA='CD' AND

                            VACLOB=(SELECT COOBME FROM OBJM WHERE COINOB=CLAVE.COOBPA) AND

                            CODATR=ATRIBUTO.CODATR

                        ),

                    LONGITUD=

                        (

                        SELECT LONGITUD FROM ATCL WHERE 

                            COINOB=(SELECT COINOB FROM OBJM WHERE TIOBME='CD' AND COOBME='OBJM') AND

                            SUBCLA='CD' AND

                            VACLOB=(SELECT COOBME FROM OBJM WHERE COINOB=CLAVE.COOBPA) AND

                            CODATR=ATRIBUTO.CODATR

                        )

                WHERE 

                    COINOB=(SELECT COINOB FROM OBJM WHERE TIOBME='CD' AND COOBME='OBJM') AND

                    SUBCLA='CL' AND

                    VACLOB=CLAVE.COOBME AND

                    CODATR=ATRIBUTO.CODATR;

            END LOOP;

    END LOOP;

END

$BODY$

LANGUAGE plpgsql

#3 - 06/07/2018 06:13 AM - Jesús Freire

- Project changed from Selene J2EE Webapp to Selene Wrapper

- Target version deleted (0.0.1)

#4 - 06/07/2018 06:15 AM - Jesús Freire

- Translation missing: en.field_sprint changed from 51 to 57

#5 - 06/07/2018 06:16 AM - Jesús Freire

- Target version set to 0.0.8

#6 - 06/08/2018 11:45 AM - Jesús Freire

- Due date set to 06/08/2018

- Status changed from Resuelta to Cerrada

- % Done changed from 90 to 100

- Puntos de historia changed from 4 to 0

#7 - 06/08/2018 11:57 AM - Jesús Freire

- Status changed from Cerrada to Resuelta

05/14/2025 2/3



#8 - 06/08/2018 12:00 PM - Jesús Freire

- Description updated

- Status changed from Resuelta to En curso

#9 - 06/10/2018 12:11 PM - Jesús Freire

- Status changed from En curso to Resuelta

- % Done changed from 100 to 90

Applied in changeset selene-wrapper|r654.

#10 - 06/10/2018 12:12 PM - Jesús Freire

- Due date changed from 06/08/2018 to 06/10/2018

- Status changed from Resuelta to Cerrada

- % Done changed from 90 to 100

- Puntos de historia changed from 0 to 8
